ifeq ($(CUSTOMER_NAME),)
export CUSTOMER_NAME=cavium
endif
export UBOOT_CONFIG=1900_HDK
export CNC_ARCH=CNC1900
export CNC_PLATFORM?=$(PWD)
export LINUX_KERNEL_CONFIG_FILE=$(CNC_PLATFORM)/configs/kernel_config
export WIFI_CHIPSET=QCA9375
export WIFI_HW_REV=3.0
export WIFI_MIMO=2x2
export WIFI_USE_REGION_SPECIFIC_BDATA=no
export WIFI_DRIVER=qualcomm/ar9374/v5.0.0.108
ifndef WIFI_INSTALL
export WIFI_INSTALL=qualcomm/ar9374/v5.0.0.108
endif
export WIFI_DEVICE="wlan0"
export LAN_DEVICE="eth0"
export BSP_LIBS=cshdmirx_adv7612
export HDMI_INPUT=1
export partitionsizeparam=--nandflashsize 128m
export nandflashsize=128m
export DEFAULT_SECURE_IMAGE_FILE_NAME=cnc83xx.bin
export DEFAULT_UNSECURE_IMAGE_FILE_NAME=cnc83xxU.bin
include $(CNC_PLATFORM)/configs/cnc19xx_cavium_mem_info.inc
export ROOTFS_TYPE=ramfs
export GPIO_LED1=2
export GPIO_LED2=4
export bootargs="outputmode=5 console=ttyS0,115200 mtdparts=cnc-nand:128k@0k(miniloader),256k@128k(env_f),512k@384k(trustzone),512k@896k(env),512k@1408k(blob),1152k@1920k(splash),512k@3072k(update_splash),512k@3584k(update_fail_splash),1m@4m(uboot_f),1m@5m(uboot),4m@6m(kernel_f),40m@10m(rootfs_f),4m@50m(kernel),40m@54m(rootfs),32m@94m(datafs),1m@126m(conf)"
export bootcmd="gpio write 12 1; gpio write 8 0; gpio write 4 1; gpio write 10 0;logo 5 6 1280 720 0 0;update \$$BLINKOPTIONS;if test \"x\$$DEV_TYPE\" = \"xTX\"; then gpio write 12 0; gpio write 8 1; fi; setenv kernel_load_addr 0x1000000; setenv rootfs_load_addr 0x10000000; setenv blob_load_addr $(mCncBlobBase); gpio write 10 1; gpio write 2 0; gpio write 4 1; bootm"
