#############################################################
#
# apparmor
#
#############################################################

APPARMOR_VERSION = 2.8.3
APPARMOR_SITE = https://launchpad.net/apparmor/2.8/2.8.3/+download
APPARMOR_SUBDIR = libraries/libapparmor
#APPARMOR_INSTALL_STAGING = YES

define APPARMOR_PRE_CONFIGURE_FIXUP
	(cd $(@D)/libraries/libapparmor;./autogen.sh)
endef

define APPARMOR_POST_INSTALL_TARGET_PROFILE_FIXUP
	(cd $(@D)/profiles;make DESTDIR=$(TARGET_DIR) install)
endef

APPARMOR_PRE_CONFIGURE_HOOKS += APPARMOR_PRE_CONFIGURE_FIXUP
APPARMOR_POST_INSTALL_TARGET_HOOKS += APPARMOR_POST_INSTALL_TARGET_PROFILE_FIXUP

$(eval $(autotools-package))
