################################################################################
#
# libwebsockets
#
################################################################################

LIBWEBSOCKETS_VERSION = dfca3abfa1da9bf6b0eac53ca11baa115f9ce1d4
LIBWEBSOCKETS_SITE = http://git.libwebsockets.org/cgi-bin/cgit/libwebsockets/snapshot
LIBWEBSOCKETS_LICENSE = LGPLv2.1
LIBWEBSOCKETS_LICENSE_FILES = LICENSE
LIBWEBSOCKETS_DEPENDENCIES = zlib
LIBWEBSOCKETS_INSTALL_STAGING = YES

LIBWEBSOCKETS_CONF_OPT += -DWITHOUT_TESTAPPS=ON

ifeq ($(BR2_PACKAGE_OPENSSL),)
	LIBWEBSOCKETS_CONF_OPT += -DWITH_SSL=OFF
endif

$(eval $(cmake-package))
