#ifndef __include_mtchain_h__
#define __include_mtchain_h__

/*
 * BS:
 * Creates a chain (list) to store the ?
 * Provides all the options of a list.
 */
class MtChain
{
    private:
        MtChain *next;
        MtChain *prev;
    public:
        MtChain(void);
        ~MtChain(void);
        void append(MtChain *node);
        void push(MtChain *node);
        MtChain *remove(void);
        MtChain *pop(void);
        void unlink(MtChain *node);
        void insert(MtChain *insertpointnode, MtChain *node);
        MtChain *peekNext(MtChain *node);
        MtChain *peekPrev(MtChain *node);
        MtChain *peekHead(void)
        {
            return peekNext(NULL);
        }
        ;
        MtChain *peekLast(void)
        {
            return peekPrev(NULL);
        }
        ;
        int length(void);
};

#endif
