#ifndef __include_mtdebug_h__
#define __include_mtdebug_h__

#define MtDEBUG 0

#if defined(MtDEBUG)
#include <stdio.h>
#define MtDBGPRINT( arg )   { printf arg ; }
#define MtDBGDEBUG( arg )   { printf("%s(%d): DEBUG: ", __FILE__, __LINE__); printf arg ; }
#define MtDBGTRACE( arg )   { printf("%s(%d): TRACE: ", __FILE__, __LINE__); printf arg ; }
#else
#define MtDBGPRINT( arg )
#define MtDBGDEBUG( arg )
#define MtDBGTRACE( arg )
#endif

#define MtDBGERROR( arg )   { printf("%s(%d): ERROR: ", __FILE__, __LINE__); printf arg ; }
#define MtDBGWARNING( arg ) { printf("%s(%d): WARNING: ", __FILE__, __LINE__); printf arg ; }

#endif

