/**********************Global debug output control of app level**************************/
#define APP_GLOBAL_DBG_LEVEL 3
#if (APP_GLOBAL_DBG_LEVEL < 0 ||APP_GLOBAL_DBG_LEVEL > 4)
#error "APP_GLOBAL_DBG_LEVEL should be between 0 and 4(include 0 and 4)"
#endif

/**************************App audio debug output control*******************************/
#define APP_ALL_DBG_LEVEL APP_GLOBAL_DBG_LEVEL
#define APP_ALL_PANIC(...)
#define APP_ALL_ERR(...)
#define APP_ALL_INFO(...)
#define APP_ALL_DBG(...)

#if (APP_ALL_DBG_LEVEL > 0)
#undef APP_ALL_PANIC
#define APP_ALL_PANIC(...) CNC_UTIL_Print("[App_all-p] "__VA_ARGS__)
#if (APP_ALL_DBG_LEVEL > 1)
#undef APP_ALL_ERR
#define APP_ALL_ERR(...) CNC_UTIL_Print("[App_all-e] "__VA_ARGS__)
#if (APP_ALL_DBG_LEVEL > 2)
#undef APP_ALL_INFO
#define APP_ALL_INFO(...) CNC_UTIL_Print("[App_all-i] "__VA_ARGS__)
#if (APP_ALL_DBG_LEVEL > 3)
#undef APP_ALL_DBG
#define APP_ALL_DBG(...) CNC_UTIL_Print("[App_all-d] "__VA_ARGS__)
#endif
#endif
#endif
#endif
/**************************App base debug output control*******************************/
