#!/bin/sh

# This needs to be doen by application
# but as of now we do not have sigma_dut setup integrated with apps
kill -9 `pidof watchdog.sh`
killall wifi_mgmt2

sleep 2

wpa_supplicant -i p2p0 -D nl80211 -p use_multi_chan_concurrent=1 -c /mnt/jffs2/cavium/crumbs/p2p.conf -N -i wlan0 -D nl80211 -p use_multi_chan_concurrent=1 -c /mnt/jffs2/cavium/crumbs/wpa_supplicant.conf &

sleep 2

wpa_cli -i p2p0 wfd_set enable y
wpa_cli -i p2p0 wfd_set device_type primary_sink
wpa_cli -i p2p0 wfd_set available_for_session y
wpa_cli -i p2p0 wfd_set preferred_connectivity p2p
wpa_cli -i p2p0 wfd_set content_protection_supported y
wpa_cli -i p2p0 wfd_set session_mgmt_ctrl_port 554
wpa_cli -i p2p0 wfd_set device_max_throughput 25
wpa_cli -i p2p0 set p2p_group_idle 0
wpa_cli -i p2p0 set persistent_reconnect 1

mount /dev/sda1 /mnt/usb

sleep 3

insmod /cavium/asix.ko
ifconfig eth0 192.168.250.45

cd /cavium/bin
/mnt/usb/sigma_tools/sigma_dut_wfd -d -M p2p0 -S wlan0 -p 9999 &


