#############################################################
#
# mongoose
#
#############################################################

MONGOOSE_VERSION = 0.1
MONGOOSE_SITE_METHOD = file
MONGOOSE_SITE = $(PWD)/package/mongoose
MONGOOSE_SOURCE = mongoose.tgz
MONGOOSE_LICENSE = MIT
MONGOOSE_LICENSE_FILES = LICENSE
MONGOOSE_DEPENDENCIES += openssl

MONGOOSE_INSTALL_STAGING = YES
MONGOOSE_INSTALL_TARGET = YES

define MONGOOSE_BUILD_CMDS
	$(MAKE) CC="$(TARGET_CC)" STRIP="$(TARGETSTRIP)" -C $(@D) libmongoose.so
endef

define MONGOOSE_INSTALL_STAGING_CMDS
	$(INSTALL) -D -m 755 $(@D)/libmongoose.so $(STAGING_DIR)/usr/lib
	$(INSTALL) -D -m 755 $(@D)/mongoose.h $(STAGING_DIR)/usr/include
endef

define MONGOOSE_INSTALL_TARGET_CMDS
	$(INSTALL) -D -m 755 $(@D)/libmongoose.so $(TARGET_DIR)/usr/lib
endef

$(eval $(generic-package))
