#ifndef __include_mtmutex_h__
#define __include_mtmutex_h__

#include <pthread.h>
/*
 * BS:
 *----
 * Mutex class.
 *
 * Function Details:
 *------------------
 * constructor - Initialises the mutex variable
 * lock - Locks the mutex
 * unlock - Unlocks the mutex
 *
 * Dependency:
 *------------
 * None
 */
class MtMutex {
  private:
    pthread_mutex_t mutex;

  public:
    MtMutex( void );
    ~MtMutex( void );
    void lock( void );
    void unlock( void );
};

#endif
