/**
 # COPYRIGHT NOTICE
 #
 #***************************************************************************

 The following software code is the property of Cavium, Inc.
 Cavium, Inc. reserves all rights in this software, including but not limited
 to copyright and shall be vested with all rights incidental thereto.

 Rights granted to you by or under any licence shall be limited to those
 explicitly granted. You may not record, store, reproduce, reverse engineer,
 decompile, inter-operate and/or transmit this software in any medium,
 electronic or otherwise, without the express written consent of Cavium, Inc.

 ALL RIGHTS RESERVED.

 Copyright 2011-2012, Cavium, Inc.
 #***************************************************************************
 #
 # END OF COPYRIGHT NOTICE
 #
 */

 /**
 * @file csfrontpanel.h
 * Low Level Front Panel API
 * @ingroup csapi
 */

#ifndef _CS_GAL_H_
#define _CS_GAL_H_
#include "csblit.h"

CSAPI_RESULT Gal_Init(void);

CSAPI_RESULT Gal_Destroy(void);

CSAPI_RESULT Gal_Flip(CSOSD_Rect srcrect,char* srclgcaddr, unsigned int srcsize, CSOSD_COLOR_FORMAT srcformat,unsigned int srcpitch,\
						CSOSD_Rect dstrect,char* dstlgcaddr,unsigned int dstsize,CSOSD_COLOR_FORMAT dstformat,unsigned int dstpitch);

CSAPI_RESULT Gal_Fill(CSBLIT_FillRectParams_t params);

CSAPI_RESULT Gal_Copy(CSBLIT_CopyRectParams_t params);

CSAPI_RESULT Gal_Scalor(CSBLIT_ScalorParams_t params);

CSAPI_RESULT Gal_Composite(CSBLIT_CompParams_t params);

#endif
