/*
# COPYRIGHT NOTICE
#
#***************************************************************************

The following software code is the common property of
Advanced Communications Co., Ltd. and Celestial Systems Inc.
Advanced Communications Co., Ltd. and Celestial Systems Inc. reserves all
rights in this software, including but not limited to copyright and shall be
vested with all rights incidental thereto.

Rights granted to you by or under any license shall be limited to those
explicitly granted. You may not record, store, reproduce, reverse engineer,
decompile, inter-operate and/or transmit this software in any medium,
electronic or otherwise, without the express written consent of Celestial
Systems Inc. and Advanced Communications Co., Ltd.

ALL RIGHTS RESERVED.

Copyright 2008, Advanced Communications Co., Ltd., Celestial Systems Inc.
#***************************************************************************
#
# END OF COPYRIGHT NOTICE
#
*/

/** ============================= File Header ================================
 \brief     : Exception handling
 \file      : osal_exceptionHandler.h
 \author    :
 \date      : Jan-10-2011
 \version   : 0.1
 \see       :
 \attention : Currently only supports some types of JPEG images.
              Progressive and multiple-scan JPEG images are not supported.
              Any other image formats are not supported.
 * ======================================================================== */

#ifndef _CNC_EXCEPTIONHANDLER_H_
#define _CNC_EXCEPTIONHANDLER_H_

/* ============================ System Includes =========================== */
// NONE

/* ============================= User Includes ============================ */

#ifdef __cplusplus
extern "C"
{
#endif

/* =========================== Macro definitions ========================== */
// NONE

/* =========================== Type definitions =========================== */
// NONE

/* =========================== Function declarations ====================== */

void CNC_Exception_InstallHandler(void (*p_f_handler)(int s32_signal, siginfo_t *p_s_siginfo, void *p_v_context));

#ifdef __cplusplus
}
#endif

#endif /* END: _CNC_EXCEPTIONHANDLER_H_ */
