/*
# COPYRIGHT NOTICE
#
#***************************************************************************
The following software code is the property of Cavium, Inc.
Cavium, Inc. reserves all rights in this software, including but not limited
to copyright and shall be vested with all rights incidental thereto.
Rights granted to you by or under any license shall be limited to those
explicitly granted. You may not record, store, reproduce, reverse engineer,
decompile, inter-operate and/or transmit this software in any medium,
electronic or otherwise, without the express written consent of Cavium, Inc.
ALL RIGHTS RESERVED.
Copyright 2012-2013, Cavium, Inc.
#***************************************************************************
#
# END OF COPYRIGHT NOTICE
#
*/

#ifndef _CNC_NET_EXPORTS_H
#define _CNC_NET_EXPORTS_H

// Generic helper definitions for shared library support
#if defined _WIN32 || defined __CYGWIN__
    #define LIB_CNC_NET_IMPORT __declspec(dllimport)
    #define LIB_CNC_NET_EXPORT __declspec(dllexport)
    #define LIB_CNC_NET_LOCAL
#else
    #if __GNUC__ >= 4
        #define LIB_CNC_NET_IMPORT __attribute__ ((visibility ("default")))
        #define LIB_CNC_NET_EXPORT __attribute__ ((visibility ("default")))
        #define LIB_CNC_NET_LOCAL  __attribute__ ((visibility ("hidden")))
    #else
        #define LIB_CNC_NET_IMPORT
        #define LIB_CNC_NET_EXPORT
        #define LIB_CNC_NET_LOCAL
    #endif
#endif

typedef void *HANDLE;

#endif //_CNC_NET_EXPORTS_H
