ifeq ($(CNC_ARCH),CNC1800H)
CFLAGS += -DARCH_CSM1800H -march=armv5te
CROSS_PRE = arm-none-linux-gnueabi-
CRISP_BASE_LIBS = -lcsapi
endif

ifeq ($(CNC_ARCH),CNC1800L)
export CFLAGS += -DARCH_CSM1800L -march=armv6zk -mtune=arm1176jzf-s -mabi=aapcs-linux -pipe
CROSS_PRE = arm-none-linux-gnueabi-
CRISP_BASE_LIBS = -lcsapi
endif

ifeq ($(CNC_ARCH),CNC1900)
CFLAGS += -DARCH_CSM1900 -fPIC -mcpu=cortex-a9 -mfpu=vfpv3-d16 -mfloat-abi=hard -pipe -O2
LIBS_PATH += -L $(CRISP_RELEASE)/thirdparty/cnc1900/2d/lib -L $(CRISP_STAGING)/usr/lib
CROSS_PRE = arm-linux-gnueabihf-
CRISP_BASE_LIBS = -lcsapi -lGAL -ldirectfb -ldirect -lfusion
endif

CROSS_COMPILE = $(CROSS_PRE)
