# Debuging usb2eth modules
if [[ "`lsusb | sed -n 's/.*0b95:.*/1/p'`" == "1" ]]; then
#$LOGINFO "-------- load asix ko -------"
    insmod /lib/modules/${KERNEL_VERSION}/kernel/drivers/net/usb/asix.ko
fi

if [[ "`lsusb | sed -n 's/.*9710:.*/1/p'`" == "1" ]]; then
#$LOGINFO "-------- load mcs7830 ko -------"
    insmod /lib/modules/${KERNEL_VERSION}/kernel/drivers/net/usb/mcs7830.ko
fi

if [ -e /mnt/jffs2/cavium/post_script ]; then
#$LOGINFO "-------- run post_script -------"
    source /mnt/jffs2/cavium/post_script
fi


if [ "$EXTRA_CMD" != "" ] ; then
#$LOGINFO "-------- prepare extra command $EXTRA_CMD -------"
    echo "$EXTRA_CMD" >> extra_cmd
    chmod a+x extra_cmd
    cat extra_cmd >> $STATUS_FILE
    $LOGINFO Running `cat extra_cmd` in the foreground.
    extra_cmd
#$LOGINFO "-------- END prepare extra command $EXTRA_CMD -------"
fi

